#terms-button,
#privacy-button,
#limitation-button {
    color: #008080 !important;
    background-color: transparent !important;
    border-radius: 3px;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0 !important;
    position: relative;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    position: relative;
    border: 0 !important;
}

.cruise-modal-details .RowDialogBody {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 1000px !important;
    opacity: 1;
    background-color: white;
    border-radius: 4px;
    border-top: 4px solid #e4509a;
    overflow-y: scroll;
    height: 100vh;
}


.dataprivacy .RowDialogBody {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 1000px !important;
    opacity: 1;
    background-color: white;
    border-radius: 4px;
    border-top: 4px solid #e4509a;
    overflow-y: scroll;
    height: 100vh;
}

.cruise-modal-details .RowDialogBody {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 1000px !important;
    opacity: 1;
    background-color: white;
    border-radius: 4px;
    border-top: 4px solid #e4509a;
    overflow-y: scroll;
}

.covid-modal-details .RowDialogBody {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 1000px !important;
    opacity: 1;
    background-color: white;
    border-radius: 4px;
    border-top: 4px solid #e4509a;
    overflow-y: scroll;
}

.exlimitaions .RowDialogBody {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 1000px !important;
    opacity: 1;
    background-color: white;
    border-radius: 4px;
    border-top: 4px solid #e4509a;
    overflow-y: scroll;
}

.modal-covid-table-td-selected-packet:hover {
    background-color: #dbedea;
    border: 1px solid #008080;
    color: #008080;
    border-radius: 24px;
    transform: scale(1.001);
    /* transform: scaleX(1.01) scaleY(1.01);    */
    z-index: 1;
}

#payment-review-quote-button {
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    position: relative;
    color: #008080;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    position: relative;
}

#payment-proceed-to-payment {
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    position: relative;
    color: #ffffff;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    position: relative;
}

@media screen and (min-width: 799px) {
    #modal-payment-table {
        /* margin-left: -60px; */
        padding: 0px;
        /* width: 133% !important; */
    }
}

.modal-payment-include-body {
    max-width: 500px !important;
}

.modal-payment-title {
    color: #2d2727;
    text-align: left;
    font-family: "Inter-Bold", sans-serif;
    font-size: 27px;
    font-weight: 700;
    position: relative;
    align-self: stretch;

}

.modal-payment-td-content {
    color: #3b3939;
    text-align: left;
    font-family: "-", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    position: relative;
    align-self: stretch;
}

/* #modal-popup-first-page-no-covid{
    color: #008080;
    background-color:transparent;
    text-align: left;
    border:0 !important;
    font-family:  "Inter-Medium", sans-serif;
    font-size:16px;
    line-height: 24px;
    font-weight: 500;
    position: relative;
} */

#modal-popup-first-page-no-covid {
    /* padding-bottom: 0px;
    padding-top: 10px !important; */
    height: 57px;
    background-color: transparent;
    border: 0 !important;
    color: #008080 !important;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 15px;
    line-height: 20px;
    font-weight: 500;
    position: relative;
    border-radius: 3px;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    position: relative;
    display: inline-flex;
    ;
}

.modal-covid-option-select {
    color: #fff;
    background-color: #008080;
    text-align: left;
    border: 0 !important;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px;
    line-height: 20px;
    font-weight: 550;
    position: relative;
    border-radius: 3px;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    align-self: stretch;
    flex-shrink: 0;
    position: relative;
}

.confirm-modal .modal-covid-include-body {
    max-width: 700px !important;
}

#modal-covid-table {
    border-collapse: separate;
    border-spacing: 0 15px;
}

.modal-covid-table-content {
    color: #3b3939;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 14px;
    line-height: 24px;
    font-weight: 500;
    position: relative;
    align-self: stretch;
}

.modal-covid-table-title {
    color: #2d2727;
    text-align: left;
    font-family: "Inter-Bold", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 700;
    position: relative;
}

.modal-covid-title {
    color: #2d2727;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 23px;
    font-weight: 500;
    position: relative;
}

/* #modal-popup-first-page-cancel{
    height:57px;
    background-color:transparent;
    border:0 !important;
    color:#008080 !important;
    color:#008080;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size:  15px;
    line-height: 20px;
    font-weight:  500;
    position: relative;
    border-radius: 3px;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    position: relative;
    
} */
/* #modal-popup-first-page-confirm{
    height:57px;
    border-radius:4px !important;
    background: #008080;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    position: relative;
    color:  #ffffff;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px;
    line-height:  20px;
    font-weight:500;
    position: relative;
} */

#modal-popup-first-page-apply-change {
    height: 57px;
    border-radius: 4px !important;
    background: #008080;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    position: relative;
    color: #ffffff;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 12px;
    line-height: 20px;
    font-weight: 500;
    position: relative;
}

#tbl_iagree:hover {
    color: #585858 !important;
    background-color: transparent !important;

}

#modal-covid-table:hover {
    color: #585858 !important;
    background-color: transparent !important;

}

#modal-payment-table td:hover {
    color: #585858 !important;
    background-color: transparent !important;
}

#tbl_iagree td {
    padding-left: 20px
}

#tbl_iagree td:hover {
    color: #008080 !important;
    background-color: transparent !important;
}

.modal-div {
    background-color: #fff !important;
}

.confirm-modal .RowDialogBody {
    max-width: 650px;
}

.modal-itp-content-text {
    color: #000000;
    text-align: center;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px !important;
    line-height: 24px !important;
    font-weight: 500 !important;
    position: relative;
}

.modal-itp-content-text-agree {
    color: #585858;
    text-align: left;
    font-family: "Inter-Regular", sans-serif;
    font-size: 14px !important;
    line-height: 24px;
    font-weight: 400 !important;
    position: relative;
}


.page {
    background-color: #f7fcff;
}


.step1-title {
    color: #2d2727;
    text-align: center;
    font-family: "Inter-Bold", sans-serif;
    font-size: 25px;
    font-weight: 700;
    position: relative;
    align-self: stretch;
}

.step1-subtitle {
    color: #2d2727;
    text-align: center;
    font-family: "Inter-Bold", sans-serif;
    font-size: 20px;
    font-weight: 700;
    position: relative;
    align-self: stretch;
}

.wizard-step {
    animation: fadeIn .3s ease;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.ctpl-advisory-title {
    color: #2d2727;
    font-size: 22px;
    font-weight: 700;
    font-family: "Inter", sans-serif;
}

.ctpl-advisory-content-title {
    color: #2d2727;
    text-align: left;
    font-family: "Inter-Bold", sans-serif;
    font-size: 18px;
    font-weight: 700;
}

.ctpl-advisory-content-text {
    color: #1d1d1d;
    text-align: left;
    font-family: "Inter-Regular", sans-serif;
    font-size: 16px;
    font-weight: 400;
    position: relative;
}

.advisory-confirm-text {
    color: #1d1d1d;
    text-align: left;
    font-family: "Inter-Regular", sans-serif;
    font-size: 16px;
    font-weight: 400;
    max-width: 90%;
}

.form-check-input:checked {
    background-color: #000 !important;
    border-color: #000 !important;
}

.form-check-input {
    width: 20px;
    height: 20px;
    border: 1px solid #B8B8B8;
}

.form-check-input-citizenship:checked {
    background-color: #2fa3a7 !important;
    border-color: #2fa3a7 !important;
}

.form-check-input-citizenship {
    width: 20px;
    height: 20px;
    border: 1px solid #2fa3a7 !important;
}

@media (max-width: 1439px) {
  .form-check-input {
    width: 21px;
    height: 21px;
    margin-right: 7px !important;
  }

 
}

.advisory-btn-cancel {
    border-radius: 3px;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    color: #008080;
    text-align: left;
    font-family: "Inter-Medium", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    border: 0px;
    background-color: transparent;
}


.advisory-btn-cancel:hover {
    background-color: transparent !important;
    color: #008080 !important;
    border: 1px solid #008080 !important;
}

.advisory-btn-cancel:focus,
.advisory-btn-cancel:active {
    background-color: #c0e6e6 !important;
    border: 1px solid #c0e6e6 !important;
    color: #008080 !important;
}

.advisory-btn-cancel:focus:before,
.advisory-btn-cancel:active:before {
    background-color: transparent !important;
    color: #008080 !important;
    display: absolute;
    width: 24px !important;
    height: 24px !important;
}

.advisory-btn-cancel:visited:before,
.advisory-btn-cancel:target:before,
.advisory-btn-cancel:hover:before {
    background-color: transparent !important;
    color: #008080 !important;
    display: absolute;
    width: 24px !important;
    height: 24px !important;
}

.advisory-bt-primary {
    background: #008080;
    border-radius: 3px;
    padding: 10px 20px 10px 20px;
    align-items: center;
    justify-content: center;
    position: relative;
    color: #ffffff;
    text-align: center;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
}


.advisory-bt-primary:hover {
    background-color: #008080 !important;
    border: 1px solid #008080 !important;
    color: #fff !important;
}

.advisory-bt-primary:focus,
.advisory-bt-primary:active {
    background-color: #60b3b3 !important;
    border: 1px solid #60b3b3 !important;
    color: #fff !important;
}

.advisory-bt-primary:focus:before,
.advisory-bt-primary:active:before {
    background-color: transparent !important;
    color: #fff !important;
    display: absolute;
    width: 24px !important;
    height: 24px !important;
}

.advisory-bt-primary:visited:before,
.advisory-bt-primary:target:before,
.advisory-bt-primary:hover:before {
    background-color: transparent !important;
    color: #fff !important;
    display: absolute;
    width: 24px !important;
    height: 24px !important;
}

@media (min-width: 768px) {
    .ctpl-advisory-title {
        font-size: 25px;
    }
}

.claim-selection {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.claim-card {
    border: 1px solid #dcdcdc;
    border-radius: 8px;
    padding: 25px;
    cursor: pointer;
    transition: all .2s ease;
    display: block;
}

.claim-card:hover {
    border-color: #217b7e;
}

.claim-card-content {
    display: flex;
    align-items: center;
    gap: 15px;
}

/* radio circle */
/* Default (Desktop) */
.claim-radio {
    width: 25px;
    height: 25px;
    min-width: 25px; /* prevents shrinking in flex */
    border: 2px solid #bfbfbf;
    border-radius: 50%;
    position: relative;
    margin-top: 3px;
    transition: all 0.2s ease;
}

/* Checked border */
.claim-card input:checked + .claim-card-content .claim-radio {
    border-color: #217b7e;
}

/* Inner circle */
.claim-card input:checked + .claim-card-content .claim-radio::after {
    content: "";
    width: 15px;
    height: 15px;
    background: #217b7e;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 48%; /* FIXED proper center */
    transform: translate(-50%, -50%);
}


/* ========================= */
/* 📱 Mobile Responsive */
/* ========================= */
@media (max-width: 576px) {

    .claim-card input:checked + .claim-card-content .claim-radio::after {
            content: "";
            width: 15px;
            height: 15px;
            background: #217b7e;
            border-radius: 50%;
            position: absolute;
            top: 50%;
            left: 50%; /* FIXED proper center */
            transform: translate(-50%, -50%);
        }
    .claim-radio {
        width: 20px;
        height: 20px;
        min-width: 20px;
        border-width: 2px;
        margin-top: 2px;
    }

    .claim-card input:checked + .claim-card-content .claim-radio::after {
        width: 10px;
        height: 10px;
    }

}

.claim-title {
    font-family: "Inter-Bold", sans-serif;
    font-weight: 700;
    font-size: 18px;
    color: #2d2727;
    text-align: left;
}

.claim-desc {
    font-family: "Inter-Regular", sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: #1d1d1d;
}

.existing-claim-notice{
    background: #f2f2f2;
    border-radius: 5px;
    padding: 10px 20px 10px 20px;
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
    justify-content: flex-start;
    flex-shrink: 0;
    position: relative;
}
.existing-claim-notice-label{
    text-align: left;
    font-family: "Inter-Regular", sans-serif;
    font-size: 14px;
    font-weight: 400;
    position: relative;
}

.existing-claim-notice-label-link{
    color: #f7419c;
    text-align: left;
    font-family: "Inter-Regular", sans-serif;
    font-size: 14px;
    font-weight: 400;
    position: relative;
}

.advisory-eligibility-criteia{
    color: #2d2727;
    text-align: center;
    font-family: "Inter-Bold", sans-serif;
    font-size: 20px;
    font-weight: 700;
    position: relative;
    align-self: stretch;
}

.click-next-info-div{
  background: #f2f2f2;
  border-radius: 5px;
  padding: 10px 20px 10px 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
}

.click-next-info{
    color:  #1d1d1d;
  text-align: left;
  font-family: "-", sans-serif;
  font-size: 14px;
  font-weight: 400;
  position: relative;
  flex: 1;
}
.modal .modal-content {
  margin: 0 auto;
  background-color: #fff;
  color: #000;
}
